Package jakarta.servlet.http

## Class HttpSessionEvent

- java.lang.Object
- - java.util.EventObject
  - - jakarta.servlet.http.HttpSessionEvent

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `HttpSessionBindingEvent`

    public class HttpSessionEvent
    extends java.util.EventObject

This is the class representing event notifications for changes to sessions within a web application.

Since:
  Servlet 2.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`HttpSessionEvent​(HttpSession source)` Construct a session event from the given source.

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpSession` `getSession()` Get the session that changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpSessionEvent

    public HttpSessionEvent​(HttpSession source)

Construct a session event from the given source.

Parameters:
  `source` - The HTTP session where the change took place

### Method Detail

#### getSession

    public HttpSession getSession()

Get the session that changed.

Returns:
  The session that changed